name: Build marp presentation
on: push

jobs:
  build:
    name: build marp presentation
    runs-on: ubuntu-latest
    steps:
      - name: checkout
        uses: actions/checkout@v4
      - name: build html presentation
        uses: docker://marpteam/marp-cli:latest
        with:
          args: presentation.md --html --allow-local-files -o index.html --theme-set themes --
        env:
          MARP_USER: root:root
      - name: build pdf presentation
        uses: docker://marpteam/marp-cli:latest
        with:
          args: presentation.md --html --allow-local-files -o presentation.pdf --theme-set themes --
        env:
          MARP_USER: root:root
      - name: compress as zip
        run: |
          zip -r presentation.zip .
      - name: upload to pages
        run: |
          curl -X PUT --fail \
            https://pages.ct.cozytren.ch/m1s2-eng-presentation \
            -T ./presentation.zip \
            -H "Content-Type: application/zip" \
            -H "Authorization: Pages ${{ secrets.GIT_PAGES_TOKEN }}"
